/*====================================
=            Upper Footer            =
====================================*/

.upper-footer {
  font-size: 15px;
  line-height: 1.5em;
  background-image: url('/wp-content/themes/rm-basetheme/images/bg-footer.jpg');
  background-color: var(--primary-color);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: var(--light-color);
  padding-top: 60px;
  padding-bottom: 60px;

  @media (min-width: 768px) {
    padding-top: 100px;
    padding-bottom: 100px;
  }

  @media (min-width: 1060px) {
    padding-top: 150px;
    padding-bottom: 150px;
  }

  .h2 {
    color: var(--light-color);
    margin-top: 0;

    @media (min-width: 1060px) {
      margin-bottom: 50px;
    }
  }

  a {
    color: var(--light-color);
    text-decoration: none;
  }

  .f-locations {
    list-style: none;
    background-color: var(--primary-color);
    background: linear-gradient(111deg, #0B3C3F 0%, #0E4A4D 50%, #1A5C5E 100%), #0B3C3F;
    text-align: left;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-top: 40px;
    padding-left: 36px;

    @media (min-width: 768px) {
      flex-direction: row;
      justify-content: space-around;
      align-items: flex-start;
      padding: 40px;
    }

    li {
      margin-bottom: 40px;

      @media (min-width: 768px) {
        margin-bottom: 0;
      }
    }
  }

  .phone-wrap,
  .address-wrap {
    display: flex;
  }

  .f-icon {
    width: 52px;
    height: 52px;
    background-color: var(--light-color);
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 16px;

    i {
      font-size: 25px;
      line-height: 1em;
      color: var(--primary-color);
    }
  }

  .phone-wrap {
    align-items: center;
    margin-bottom: 26px;

    .f-phone {
      font-size: 18px;
      line-height: 1em;
      font-weight: var(--fw-bold);
    }
  }

  .address-wrap {
    font-size: 15px;
    line-height: 1.5em;
    align-items: flex-start;
    margin-right: 14px;
    .name {
      font-weight: var(--fw-bold);
    }
    .tag {
      font-size: 13px;
      margin-top: 10px;
      color: rgb(from var(--light-color) r g b / 0.5);
    }
  }
}

/*====================================
=            Lower Footer            =
====================================*/

.lower-footer {
  font-size: 12px;
  position: relative;
  padding-bottom: 60px;
  color: rgb(from var(--light-color) r g b / 0.6);
  background-color: var(--primary-alt);

  @media (min-width: 1060px) {
    padding-bottom: 90px;
  }

  a {
    color: rgb(from var(--light-color) r g b / 0.6);
    text-decoration: none;
  }

  .memberships-sc-wrap {
    justify-content: space-between;
    background-color: transparent;

    svg {
      height: 57px;
      width: auto;

      @media (min-width: 768px) {
        height: 110px;
      }
    }
  }

  .rm-sig {
    text-align: center;

    svg {
      margin-left: 8px;
      width: 53px;
      height: auto;
      display: block;
      margin: 10px auto;

      path {
        fill: var(--secondary-color);
      }
    }
  }
}

/*==================================
=            Footer Nav            =
==================================*/

.footer-nav {
  margin: 30px 0;

  .menu {
    display: none;
    list-style: none;
    margin: 0;

    @media (min-width: 768px) {
      display: flex;
      justify-content: center;
      flex-wrap: wrap;
      align-items: center;
    }

    li {
      margin: 0 10px;

      ul {
        display: none;
      }
    }
  }
}

/*===========================================
=            Footer Contact Form            =
===========================================*/

.footer-contact-form {
  form {
    margin-bottom: 40px;

    @media (min-width: 768px) {
      margin-bottom: 80px;
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
    }

    .field-wrap {
      @media (min-width: 768px) {
        width: 49%;
      }
    }

    .type-textarea {
      width: 100%;
    }

    .disclaimer {
      width: 100%;
      margin-bottom: 20px;
      text-align: center;
    }

    .type-submitbutton {
      width: 100%;
      text-align: center;
    }
  }
}

/*======================================
=            Sticky Contact            =
======================================*/

.sticky-contact {
  display: none;

  @media (min-width: 1060px) {
    padding-top: 10px;
    padding-bottom: 10px;
    bottom: -200px;
    transition: bottom 0.3s linear;
    position: fixed;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 100;
    background-color: var(--primary-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  @media (min-width: 1400px) {
    padding: 10px calc(40px + (50vw - (1400px / 2)));
			
  }

  &.make-sticky {
    bottom: 0;
  }

  a {
    color: var(--light-color);
    text-decoration: none;
    font-size: 16px;
    font-weight: var(--fw-semi-bold);
    text-transform: uppercase;
    &:hover {
      color: var(--secondary-color);
    }
  }

  .location {
    &:before {
      content: "\f3c5";                  /* Same unicode value */
      font-family: "Font Awesome 5 Pro";  /* Scaled up to the Pro bundle */
      font-weight: 400;                  /* CRITICAL: Must be 400 for Regular/Outline */
      
      display: inline-block;
      margin-right: 8px;
    }
  }
  .phone {
    &:before {
      content: "\f133";                  /* Unicode for calendar-alt */
      font-family: "Font Awesome 5 Pro";  /* Target the Pro bundle */
      font-weight: 400;                  /* CRITICAL: Must be 400 for Regular/Outline */
      
      display: inline-block;
      margin-right: 8px;  
    }
  }
  .sticky-heading {
    text-transform: uppercase;
    color: var(--light-color);
    font-size: 16px;
    line-height: 1.25em;
    font-weight: var(--fw-regular);
    font-family: var(--secondary-font);

    @media (min-width: 1060px) {
      font-size: 18px;
    }

    span {
      color: var(--primary-color);
    }
  }

  /* form.seaforms {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    flex: 1;
    margin-left: 10px;

    .field-wrap {
      margin: 0 5px;
      margin-bottom: 0 !important;
      flex-grow: 1;
      flex-basis: 0;
      height: 40px;

      input {
        height: 40px;
        width: 100%;
      }

      select {
        height: 40px;
      }

      label {
        display: block;
        position: absolute;
        left: -10000px;
        top: auto;
        width: 1px;
        height: 1px;
        overflow: hidden;
      }
    }

    .type-submitbutton {
      margin: 0 0 0 5px;
      flex-grow: 0;
      line-height: 100%;

      input {
        border: 2px solid var(--primary-color);
        color: var(--light-color);
        background: none;
        transition: all 0.2s;

        &:hover {
          background: var(--primary-color);
        }
      }
    }
  } */
}